%define osmo		Osmo4

# disable format string check, can't fix it for WxWidgets part
%define Werror_cflags	%{nil}

# looks like no stable ABI => version is %%major
%define major		12
%define libname		%mklibname %{name} %{major}
%define modname		%mklibname %{name}-modules
%define devname		%mklibname %{name} -d

Name: 	 	gpac
Version: 	2.2.0
Release: 	%mkrel 2
Summary: 	MPEG-4 multimedia framework
License:	LGPLv2+
Group:		Video
URL:		https://gpac.wp.mines-telecom.fr/
Source:		https://github.com/gpac/gpac/archive/v%{version}/%{name}-%{version}.tar.xz
Patch0:		110_all_implicitdecls.patch
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(faad2)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libopenjp2)
BuildRequires:	pkgconfig(mad)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(ogg)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(theora)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(xmlrpc)
BuildRequires:	pkgconfig(xv)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	imagemagick
BuildRequires:	a52dec-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	freeglut-devel
BuildRequires:	xvid-devel
BuildRequires:	subversion

%description
GPAC is a multimedia framework based on the MPEG-4 Systems standard developed
from scratch in ANSI C.  The original development goal is to provide a clean
(a.k.a. readable by as many people as possible), small and flexible
alternative to the MPEG-4 Systems reference software.

The natural evolution has been the integration of recent multimedia standards
(SVG/SMIL, VRML, X3D, SWF, 3GPP(2) tools, etc) into a single framework.
VRML97 and a good amount of the X3D standard have already been integrated
into GPAC, as well as some SVG support and experimental Macromedia Flash
support.

The current GPAC release (%{version}) already covers a very large part of the
MPEG-4 standard, and has some good support for 3GPP and VRML/X3D, and
features what can probably be seen as the most advanced and robust 2D MPEG-4
Player available worldwide, as well as a decent 3D player.

GPAC also features MPEG-4 Systems encoders/multiplexers, publishing tools for
content distribution for MP4 and 3GPP(2) files and many tools for scene
descriptions (MPEG4<->VRML<->X3D converters, SWF->MPEG-4, etc...).

%package -n	%{libname}
Summary:	GPAC shared library
Group:		System/Libraries

%description -n	%{libname}
GPAC is a multimedia framework based on the MPEG-4 Systems standard developed
from scratch in ANSI C.

This package provides the GPAC shared library.


%package -n	%{devname}
Summary:	Development headers and library for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Obsoletes: %{name}-devel
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{devname}
Development headers and libraries for %{name}.

%prep
%setup -q
%apply_patches

# SHH!
sed -i -e 's/Wall/w/g' `find -name Makefile`

%build
%configure2_5x \
		--libdir=%{_lib} \
		--use-zlib=system \
		--use-faad=system \
		--use-ffmpeg=system \
		--use-ogg=system \
		--use-vorbis=system \
		--use-theora=system \
		--use-openjpeg=system \
		--use-a52=system \
		--extra-cflags="%{optflags}" \
		--enable-pic

%make_build

%install
rm -rf %buildroot

# Makefile needs the pkgconfig dir to install the gpac.pc file otherwise it can't
mkdir -p %{buildroot}%{_libdir}/pkgconfig

%make_install install-lib

# Windows includes
rm -rf %{buildroot}%{_includedir}/win32 %{buildroot}%{_includedir}/wince

%files
%{_bindir}/*
%{_libdir}/%{name}/
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/128x128/apps/gpac.png
%{_mandir}/man1/*.1.*

%files -n %{libname}
%{_libdir}/libgpac.so.%{major}
%{_libdir}/libgpac.so.%{major}.*

%files -n %{devname}
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libgpac.so
%{_libdir}/libgpac_static.a


%changelog
* Tue Mar 28 2023 tex - 2.2.0-2pclos2023
- rebuild against updates

* Tue Jan 31 2023 tex - 2.2.0-1pclos2023
- new version
